## task-polish 0.1

=== debian/changelog ===
task-polish (0.1) unstable; urgency=low

  * Initial Debian version.

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  1 Nov 1999 19:13:53 +0100
