=== debian/control ===
Source: task-polish
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.0.1

Package: task-polish
Architecture: all
Depends: manpages-pl, fonty, konwert, ipolish, wpolish, doc-linux-pl, xfonts-biznet-iso-8859-2-base, xfonts-biznet-iso-8859-2-75dpi
Suggests: manpages-pl-dev, wpolish, doc-linux-pl-html, xfonts-biznet-iso-8859-2-100dpi
Description: Polish-speaking environment
 This task package installs modifications and documentation in Polish
 to help Polish speaking people using Debian.
