=== debian/rules ===
#! /usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.8, of Sat, 30 Oct 1999

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " install-tree       compile the package and create the install trees"; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control
rules: debian/rules
debian/rules: debian/yada debian/packages
	chmod +x debian/yada
	debian/yada rebuild rules

control: debian/control
debian/control: debian/yada debian/packages
	chmod +x debian/yada
	debian/yada rebuild control

debian/build-stamp:
	@[ -f debian/yada -a -f debian/rules ]
	@umask 022 && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E ':') | /bin/sh
	touch debian/build-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-task-polish/DEBIAN/control

debian/tmp-task-polish/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-task-polish
	umask 022 && install -d debian/tmp-task-polish/DEBIAN
	chmod +x debian/yada
	install -d debian/tmp-task-polish/usr/share/doc/task-polish
	umask 022; debian/yada generate copyright \
	                       >debian/tmp-task-polish/usr/share/doc/task-polish/copyright
	install -m 644 -p debian/changelog \
	                  debian/tmp-task-polish/usr/share/doc/task-polish/changelog
	@umask 022 && export PACKAGE="task-polish" \
	    && export ROOT="$$(pwd)/debian/tmp-task-polish" \
	    && export CONTROL="$$(pwd)/debian/tmp-task-polish/DEBIAN" && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E ':') | /bin/sh
	debian/yada compress task-polish
	find debian/tmp-task-polish -type f -print \
	  | sed -n 's/^debian\/tmp-task-polish\(\/etc\/.*\)$$/\1/p' \
	    > debian/tmp-task-polish/DEBIAN/conffiles
	if test ! -s debian/tmp-task-polish/DEBIAN/conffiles; then rm -f debian/tmp-task-polish/DEBIAN/conffiles; fi
	debian/yada generate maintscripts task-polish
	umask 022 && dpkg-gencontrol -isp -ptask-polish -Pdebian/tmp-task-polish

# Build package files

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: binary-arch-any

.PHONY: binary-arch-any
binary-arch-any:
binary-indep: \
	binary-package-task-polish

.PHONY: binary-package-task-polish
binary-package-task-polish: check-root debian/tmp-task-polish/DEBIAN/control
	@[ -f debian/yada -a -f debian/rules ]
	chown -R 0.0 debian/tmp-task-polish
	chmod -R u=rwX,go=rX debian/tmp-task-polish
	@if [ -d debian/tmp-task-polish/usr/doc/task-polish ]; then \
	  echo "*** Yada warning: /usr/doc/task-polish should be /usr/share/doc/task-polish";\
	fi
	dpkg-deb --build debian/tmp-task-polish ..

.PHONY: check-root
check-root:
	@[ `id -u` = 0 ] || (echo "You must be root to do this!"; false)

# Clean up afterwards

.PHONY: clean clean-install-tree clean-build
clean: clean-install-tree clean-build debian/control debian/rules

clean-build:
	@[ -f debian/yada -a -f debian/rules ]
	rm -f debian/build-stamp debian/depends-stamp
	@umask 022 && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E ':') | /bin/sh

clean-install-tree: debian/rules
	@[ -f debian/yada -a -f debian/rules ]
	rm -f debian/install-tree-stamp
	rm -rf debian/tmp* debian/files* debian/substvars
